Loading...
Searching...
No Matches
decode_audio.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <libavutil/frame.h>`
`#include <libavutil/mem.h>`
`#include <libavcodec/avcodec.h>`

Go to the source code of this file.

## Macros

#define | AUDIO_INBUF_SIZE 20480
#define | AUDIO_REFILL_THRESH 4096

## Functions

static int | get_format_from_sample_fmt (const char **fmt, enum AVSampleFormat sample_fmt)
static void | decode (AVCodecContext *dec_ctx, AVPacket *pkt, AVFrame *frame, FILE *outfile)
int | main (int argc, char **argv)

## Macro Definition Documentation

## AUDIO_INBUF_SIZE

#define AUDIO_INBUF_SIZE 20480

Examples
  decode_audio.c.

Definition at line 40 of file decode_audio.c.

## AUDIO_REFILL_THRESH

#define AUDIO_REFILL_THRESH 4096

Examples
  decode_audio.c.

Definition at line 41 of file decode_audio.c.

## Function Documentation

## get_format_from_sample_fmt()

static int get_format_from_sample_fmt | ( | const char ** | fmt,
|  | enum AVSampleFormat | sample_fmt
| ) |  |

static

Examples
  decode_audio.c, demux_decode.c, and resample_audio.c.

Definition at line 43 of file decode_audio.c.

Referenced by main().

## decode()

static void decode | ( | AVCodecContext * | dec_ctx,
|  | AVPacket * | pkt,
|  | AVFrame * | frame,
|  | FILE * | outfile
| ) |  |

static

Examples
  decode_audio.c, and decode_video.c.

Definition at line 72 of file decode_audio.c.

Referenced by main().

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 106 of file decode_audio.c.